### Function

# Gimp ConfigInterface reset_properties

since: 2.4

#### Declaration [src]

    void
    gimp_config_reset_properties (
      GObject* object
    )

#### Description [src]

Resets all writable properties of `object` to the default values as defined in their `GParamSpec`. Properties marked as “construct-only” are not touched.

If you want to reset a `GimpConfig` object, please use gimp_config_reset().

Available since: 2.4

#### Parameters

`object`

  Type: `GObject`

  A `GObject`.

  The data is owned by the caller of the function.